function newBG(x, y, t, rotationenabled)
	local bg = {}

	bg.t = t
	bg.x = x 
	bg.y = y

	bg.startx = x
	bg.starty = y

	bg.items = 
	{
		satellite = love.graphics.newImage("graphics/bg/satalite.png"),
		planet = love.graphics.newImage("graphics/bg/planet.png"),
		asteroid1 = love.graphics.newImage("graphics/bg/astroid_1.png"),
		asteroid2 = love.graphics.newImage("graphics/bg/astroid_2.png"),
		blackhole = love.graphics.newImage("graphics/bg/blackhole.png")
	}
	
	bg.rotation = 0

	bg.rotationenabled = rotationenabled
	bg.time = love.math.random(30, 60)
	
	function bg:draw()
		if not self.rotationenabled then
			love.graphics.draw(self.items[self.t], self.x, self.y)
		else
			love.graphics.draw(self.items[self.t], self.x + self.items[self.t]:getWidth() / 2, self.y + self.items[self.t]:getHeight() / 2, self.rotation, 1, 1, self.items[self.t]:getWidth() / 2, self.items[self.t]:getHeight() / 2)
		end
	end

	function bg:update(dt)
		print("!")
		if self.rotationenabled then
			self.rotation = self.rotation + dt
		end

		if self.startx == 0 then
			self.x = self.x + 120 * dt
		else
			self.x = self.x - 120 * dt
		end
	end

	return bg	
end
